'From Squeak2.9alpha of 13 June 2000 [latest update: #2440] on 13 August 2000 at 12:26:22 pm'!
OrderedCollection subclass: #SortedCollection
	instanceVariableNames: 'sortBlock '
	classVariableNames: 'DefaultSortBlock '
	poolDictionaries: ''
	category: 'Collections-Sequenceable'!

!SortedCollection methodsFor: 'accessing' stamp: 'RAH 6/23/2000 14:31'!
sortBlock
	"Answer the blockContext which is the criterion for sorting elements of the receiver."
	#Collectn.
	"Changed 2000/06/23 Harmon, R. For ANSI <SortedCollection> protocol."

	sortBlock isNil ifFalse: [^ sortBlock].
	^ DefaultSortBlock! !

!SortedCollection methodsFor: 'comparing' stamp: 'RAH 6/23/2000 14:30'!
= aSortedCollection
	"Answer true if my and aSortedCollection's species are the same, and if our blocks are the same, and if our elements are the same."
	#Collectn.
	"Changed 2000/06/23 Harmon, R. For ANSI <SortedCollection> protocol."

	self species = aSortedCollection species ifFalse: [^ false].
	self sortBlock = aSortedCollection sortBlock
		ifTrue: [^ super = aSortedCollection]
		ifFalse: [^ false]! !


!SortedCollection class methodsFor: 'initialize-release' stamp: 'RAH 6/23/2000 14:33'!
initialize
	"SortedCollection initialize.
	"
	#Collectn.
	"Added 2000/06/23 Harmon, R. For ANSI support."

	DefaultSortBlock := [:x :y | x <= y].
! !

SortedCollection initialize!
