'From Squeak2.9alpha of 13 June 2000 [latest update: #2447] on 13 August 2000 at 3:28:47 pm'!
"Change Set:		cheezyBangSyntax
Date:			13 August 2000
Author:			Lex Spoon

Allows using !!Array instead of Array, and implements a stub for #asReadOnlyNumbor.  These changes are just to solve some chicken-and-egg problems; the methods will be implemented correctly in later changesets"!

!Parser methodsFor: 'expression types' stamp: 'ls 8/13/2000 15:28'!
primaryExpression 
	(hereType = #binary and: [ here = '!!']) ifTrue: [ self advance ].
	hereType == #word 
		ifTrue: 
			[parseNode _ self variable.
			(parseNode isUndefTemp and: [self interactive])
				ifTrue: [self queryUndefined].
			parseNode nowHasRef.
			^ true].
	hereType == #leftBracket
		ifTrue: 
			[self advance.
			self blockExpression.
			^true].
	hereType == #leftBrace
		ifTrue: 
			[self braceExpression.
			^true].
	hereType == #leftParenthesis
		ifTrue: 
			[self advance.
			self expression ifFalse: [^self expected: 'expression'].
			(self match: #rightParenthesis)
				ifFalse: [^self expected: 'right parenthesis'].
			^true].
	(hereType == #string or: [hereType == #number or: [hereType == #literal]])
		ifTrue: 
			[parseNode _ encoder encodeLiteral: self advance.
			^true].
	(here == #- and: [tokenType == #number])
		ifTrue: 
			[self advance.
			parseNode _ encoder encodeLiteral: self advance negated.
			^true].
	^false! !



!Number methodsFor: 'bootstrapping' stamp: 'ls 8/13/2000 15:28'!
asReadOnlyNumber
	"eventually, return a read-only version of the receiver.  For now, just return the receiver as is"
	^self ! !