'From Squeak2.9alpha of 13 June 2000 [latest update: #2447] on 21 August 2000 at 11:24:12 am'!
"Change Set:		textStyle1
Date:			16 August 2000
Author:			Lex Spoon

put text styles into their own variable TextStyles, instead of just scattering them through the TextConstants pool"!

TextStyle class makeSelector: #moveTextStyles privilaged: false!
!TextStyle class methodsFor: 'initialize-release' stamp: 'ls 8/16/2000 11:56'!
moveTextStyles
	| textStyles |
	"move text styles into a new variable, instead of leaving them scattered throughout the TextConstants pool"
	textStyles := Dictionary new.
	TextConstants keysAndValuesDo: [ :varName :varValue |
		(varValue isKindOf: TextStyle) ifTrue: [
			textStyles at: varName put: varValue ] ].

	TextConstants at: #TextStyles put: textStyles
! !

TextStyle moveTextStyles .!

