'From Squeak2.9alpha of 13 June 2000 [latest update: #2447] on 21 August 2000 at 11:59:21 am'!
"Change Set:		ParseTreeIteration
Date:			26 June 2000
Author:			Lex Spoon

Adds routines for iterating over parse trees"!

ParseNode makeSelector: #doWithSubnodes: privilaged: false!
!ParseNode methodsFor: 'enumerating' stamp: 'ls 6/12/2000 15:35'!
doWithSubnodes: aBlock
	"perform aBlock on each subnode"
	aBlock value: self.
	self subnodesDo: [ :node |
		node doWithSubnodes: aBlock ].! !
ParseNode makeSelector: #subnodesDo: privilaged: false!
!ParseNode methodsFor: 'enumerating' stamp: 'ls 6/12/2000 15:35'!
subnodesDo: aBlock
	"perform aBlock on each subnode"! !

AssignmentNode makeSelector: #subnodesDo: privilaged: false!
!AssignmentNode methodsFor: 'enumerating' stamp: 'ls 6/12/2000 15:44'!
subnodesDo: aBlock
	"perform aBlock on each subnode"
	aBlock value: variable.
	aBlock value: value.! !

BlockNode makeSelector: #subnodesDo: privilaged: false!
!BlockNode methodsFor: 'enumerating' stamp: 'ls 6/12/2000 15:45'!
subnodesDo: aBlock
	"perform aBlock on each subnode"
	statements do: aBlock! !

BraceNode makeSelector: #subnodesDo: privilaged: false!
!BraceNode methodsFor: 'enumerating' stamp: 'ls 6/12/2000 15:45'!
subnodesDo: aBlock
	"perform aBlock on each subnode"
	elements do: aBlock! !

CascadeNode makeSelector: #subnodesDo: privilaged: false!
!CascadeNode methodsFor: 'enumerating' stamp: 'ls 6/12/2000 15:46'!
subnodesDo: aBlock
	"perform aBlock on each subnode"
	aBlock value: receiver.
	messages do: aBlock! !

MessageNode makeSelector: #subnodesDo: privilaged: false!
!MessageNode methodsFor: 'enumerating' stamp: 'ls 6/14/2000 14:48'!
subnodesDo: aBlock
	"perform aBlock on each subnode"
	receiver ifNotNil: [ aBlock value: receiver ].
	arguments do: [ :arg |
		arg ifNotNil: [ aBlock value: arg ]. ].! !

MethodNode makeSelector: #subnodesDo: privilaged: false!
!MethodNode methodsFor: 'enumerating' stamp: 'ls 6/12/2000 15:49'!
subnodesDo: aBlock
	"perform aBlock on each subnode"
	aBlock value: block! !

ReturnNode makeSelector: #subnodesDo: privilaged: false!
!ReturnNode methodsFor: 'enumerating' stamp: 'ls 6/12/2000 15:50'!
subnodesDo: aBlock
	"perform aBlock on each subnode"
	aBlock value: expr! !

