'From Squeak2.9alpha of 13 June 2000 [latest update: #2447] on 21 August 2000 at 11:56:33 am'!
Inspector makeSelector: #baseFieldList privilaged: false!
!Inspector methodsFor: 'accessing' stamp: 'ls 8/1/2000 12:09'!
baseFieldList
	"Answer an Array consisting of 'self'
	and the instance variable names of the inspected object."

	^ (Array with: 'self' with: 'all inst vars')
			, self objectClass allInstVarNames! !
Inspector makeSelector: #fieldList privilaged: false!
!Inspector methodsFor: 'accessing' stamp: 'ls 8/1/2000 12:09'!
fieldList
	"Answer the base field list plus an abbreviated list of indices."

	self objectClass isVariable ifFalse: [^ self baseFieldList].
	^ self baseFieldList ,
		(object basicSize <= (self i1 + self i2)
			ifTrue: [(1 to: object basicSize)
						collect: [:i | i printString]]
			ifFalse: [(1 to: self i1) , (object basicSize-(self i2-1) to: object basicSize)
						collect: [:i | i printString]])! !
Inspector makeSelector: #objectClass privilaged: false!
!Inspector methodsFor: 'accessing' stamp: 'ls 8/1/2000 12:09'!
objectClass
	^ObjectInspector classOf: self object! !
Inspector makeSelector: #selectedClass privilaged: false!
!Inspector methodsFor: 'accessing' stamp: 'ls 8/10/2000 17:07'!
selectedClass
	"Answer the class of the receiver's current selection"

	self selectionUnmodifiable ifTrue: [^ object class].
	^ObjectInspector classOf: self selection! !
Inspector makeSelector: #replaceSelectionValue: privilaged: false!
!Inspector methodsFor: 'selecting' stamp: 'ls 8/1/2000 12:10'!
replaceSelectionValue: anObject 
	"The receiver has a list of variables of its inspected object. One of these 
	is selected. The value of the selected variable is set to the value, 
	anObject."
	| basicIndex si |
	selectionIndex <= 2 ifTrue: [
		self toggleIndex: (si _ selectionIndex).  
		self toggleIndex: si.
		^ object].
	object class isVariable
		ifFalse: [^ ObjectInspector instVarOf: object at: selectionIndex - 2 put: anObject].
	basicIndex _ selectionIndex - 2 - object class instSize.
	(object basicSize <= (self i1 + self i2)  or: [basicIndex <= self i1])
		ifTrue: [^object basicAt: basicIndex put: anObject]
		ifFalse: [^object basicAt: object basicSize - (self i1 + self i2) + basicIndex
					put: anObject]! !
Inspector makeSelector: #selection privilaged: false!
!Inspector methodsFor: 'selecting' stamp: 'ls 8/10/2000 17:07'!
selection
	"The receiver has a list of variables of its inspected object.
	One of these is selected. Answer the value of the selected variable."
	| basicIndex |
	selectionIndex = 0 ifTrue: [^ ''].
	selectionIndex = 1 ifTrue: [^ object].
	selectionIndex = 2 ifTrue: [^ object longPrintString].
	(selectionIndex - 2) <= self objectClass instSize
		ifTrue: [^ ObjectInspector instVarOf: object at: selectionIndex - 2].
	basicIndex _ selectionIndex - 2 - self objectClass instSize.
	(object basicSize <= (self i1 + self i2)  or: [basicIndex <= self i1])
		ifTrue: [^ object basicAt: basicIndex]
		ifFalse: [^ object basicAt: object basicSize - (self i1 + self i2) + basicIndex]! !
Inspector makeSelector: #classOfSelection privilaged: false!
!Inspector methodsFor: 'menu commands' stamp: 'ls 8/1/2000 12:10'!
classOfSelection
	^self selectedClass! !

