'From Squeak2.9alpha of 13 June 2000 [latest update: #2447] on 21 August 2000 at 11:59:16 am'!
"Change Set:		instanceVariables
Date:			26 June 2000
Author:			Lex Spoon

Adds an InstanceVariableNode class and a couple of test routines"!

VariableNode subclass: #InstanceVariableNode
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'System-Compiler'!
CompiledMethod makeSelector: #usesInstanceVariables privilaged: false!
!CompiledMethod methodsFor: 'flags' stamp: 'ls 8/14/2000 17:54'!
usesInstanceVariables
	"return whether the method is tagged as using instance variables of the receiver"
	^self header anyMask: 16r20000000! !

ParseNode makeSelector: #isInstanceVariable privilaged: false!
!ParseNode methodsFor: 'testing' stamp: 'ls 6/12/2000 15:36'!
isInstanceVariable
	"whether this node is an instance variable"
	^false! !
ParseNode makeSelector: #usesInstanceVariables privilaged: false!
!ParseNode methodsFor: 'testing' stamp: 'ls 6/14/2000 14:20'!
usesInstanceVariables
	"return whether we access an instance variable or not"
	self doWithSubnodes: [ :node |
		node isInstanceVariable ifTrue: [ ^true ] ].
	^false! !

InstanceVariableNode makeSelector: #isInstanceVariable privilaged: false!
!InstanceVariableNode methodsFor: 'testing' stamp: 'ls 6/12/2000 15:44'!
isInstanceVariable
	^true! !

