'From Squeak2.9alpha of 13 June 2000 [latest update: #2447] on 21 August 2000 at 11:56:55 am'!
"Change Set:		time2
Date:			9 August 2000
Author:			Lex Spoon

adjusts some of Time's methods to use StandardSystemClock instead of calling primitives directly"!

DateAndTime class makeSelector: #primCurrentTimeInto: privilaged: false!
!DateAndTime class methodsFor: 'primitives' stamp: 'ls 8/10/2000 16:08'!
primCurrentTimeInto: anArray
	^StandardSystemClock primCurrentTimeInto: anArray! !
DateAndTime class makeSelector: #primSecondsClock privilaged: false!
!DateAndTime class methodsFor: 'primitives' stamp: 'ls 8/10/2000 16:09'!
primSecondsClock
	^StandardSystemClock primSecondsClock! !

Time class makeSelector: #primMillisecondClock privilaged: false!
!Time class methodsFor: 'private' stamp: 'ls 8/10/2000 11:18'!
primMillisecondClock
	"Primitive. Answer the number of milliseconds since the millisecond clock
	 was last reset or rolled over. Answer zero if the primitive fails.
	 Optional. See Object documentation whatIsAPrimitive."

	^StandardSystemClock primMillisecondClock! !
Time class makeSelector: #primSecondsClock privilaged: false!
!Time class methodsFor: 'private' stamp: 'ls 8/10/2000 11:18'!
primSecondsClock
	"Answer the number of seconds since 00:00 on the morning of
	 January 1, 1901 (a 32-bit unsigned number).
	 Essential. See Object documentation whatIsAPrimitive. "

	^StandardSystemClock primSecondsClock! !
Time class makeSelector: #primCurrentTimeInto: privilaged: false!
!Time class methodsFor: 'primitives' stamp: 'ls 8/9/2000 17:40'!
primCurrentTimeInto: anArray
	^StandardSystemClock primCurrentTimeInto: anArray! !

